org.apache.ignite.configuration

## Enum CheckpointWriteOrder

- java.lang.Object
- - java.lang.Enum<CheckpointWriteOrder>
  - - org.apache.ignite.configuration.CheckpointWriteOrder

All Implemented Interfaces:
  Serializable, Comparable<CheckpointWriteOrder>

    public enum CheckpointWriteOrder
    extends Enum<CheckpointWriteOrder>

This enum defines order of writing pages to disk storage during checkpoint.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`RANDOM` Pages are written in order provided by checkpoint pages collection iterator (which is basically a hashtable).
`SEQUENTIAL` All checkpoint pages are collected into single list and sorted by page index.

### Method Summary

All Methods Static Methods Concrete Methods
`static CheckpointWriteOrder` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static CheckpointWriteOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckpointWriteOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RANDOM

    public static final CheckpointWriteOrder RANDOM

Pages are written in order provided by checkpoint pages collection iterator (which is basically a hashtable).

#### SEQUENTIAL

    public static final CheckpointWriteOrder SEQUENTIAL

All checkpoint pages are collected into single list and sorted by page index. Provides almost sequential disk writes, which can be much faster on some SSD models.

### Method Detail

#### values

    public static CheckpointWriteOrder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckpointWriteOrder c : CheckpointWriteOrder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckpointWriteOrder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static CheckpointWriteOrder fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018